# eric3.VCS.subversionPackage.OptionsDialog

Module implementing a dialog to enter options used to start a project in the VCS.

### Classes

SvnOptionsDialog | Class implementing a dialog to enter options used to start a project in the repository.

### Functions

None

## SvnOptionsDialog

Class implementing a dialog to enter options used to start a project in the repository.

### Derived from

SvnOptionsForm

### Methods

SvnOptionsDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.
handleDirectory | Private slot to display a directory selection dialog.
handleProtocol | Private slot to switch the status of the directory selection button.

### SvnOptionsDialog (Constructor)

SvnOptionsDialog(project, parent=None)

Constructor

parent
  parent widget (QWidget)
project
  reference to the project object

### SvnOptionsDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a tuple of 5 strings and one boolean (repository URL, archive name (always empty), vendor label (always empty), log message, release label (always empty), standard layout).

### SvnOptionsDialog.handleDirectory

handleDirectory()

Private slot to display a directory selection dialog.

### SvnOptionsDialog.handleProtocol

handleProtocol(protocol)

Private slot to switch the status of the directory selection button.

Up